package cn.fw.valhalla.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.sdk.enums.CarUseTypeEnum;
import cn.fw.valhalla.sdk.enums.CusTypeEnum;
import lombok.Data;

import java.util.Date;

/**
 * 会员车辆
 * <p>
 * create at 2022-06-01
 *
 * @author xiatian
 */
@Data
public class MemberVehicle extends BaseAuditableTimeEntity<MemberVehicle, Long> {
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 会员姓名
     */
    private String memberName;
    /**
     * 所有者
     */
    private String name;

    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 发动机号
     */
    private String engineNo;
    /**
     * 注册日期
     */
    private Date regDate;
    /**
     * 品牌
     */
    private String brandName;
    /**
     * 整车型号
     */
    private String specCode;
    /**
     * 车辆类型 1：个人 2：单位
     */
    private CusTypeEnum cusType;
    /**
     * 使用性质 1:非运营 2：运营
     */
    private CarUseTypeEnum useType;
    /**
     * 是否有效
     */
    private Boolean yn;
}
