package cn.fw.valhalla.domain.db.follow;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import cn.fw.valhalla.domain.enums.TaskDefeatTypeEnum;
import cn.fw.valhalla.domain.enums.TaskStateEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 线索任务
 *
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ClueTask extends BaseAuditableTimeEntity<ClueTask, Long> {
    /**
     * 线索id
     */
    private Long clueId;
    /**
     * 跟进类型
     */
    private FollowTypeEnum type;
    /**
     * 任务开始时间
     */
    private LocalDateTime beginTime;
    /**
     * 是否是二次分配
     */
    private Boolean redistribution;
    /**
     * 截止日期
     */
    private LocalDateTime deadline;
    /**
     * 是否完成
     */
    private TaskStateEnum state;
    /**
     * 终止时间
     */
    private LocalDateTime closeTime;
    /**
     * 当前跟进人
     */
    private Long followUser;
    private String followUserName;
    /**
     * 当前跟进人门店
     */
    private Long followShop;
    /**
     * 完成人
     */
    private Long finishUser;
    private String finishUserName;
    /**
     * 完成门店
     */
    private Long finishShop;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 任务战败原因
     */
    private TaskDefeatTypeEnum reason;
    /**
     * 状态完结调用rpc成功
     */
    private Boolean rpcSuccess;
    /**
     * 已跟进次数
     */
    private Integer times;
}
